Multivariate Pattern Analysis in Python

# mvpa2.misc.surfing.volgeom

Volume geometry to map between world and voxel coordinates.

Supports conversion between linear and sub indexing of voxels. The rationale is that volumes use sub indexing that incorporate the spatial locations of voxels, but for voxel selection (and subsequent MVPA) it is often more appropriate to abstract from the temporal locations of voxels.

Created on Feb 12, 2012

@author: nick

Functions

`distance`(p, q[, r]) | Returns the distances between vectors in two arrays
`from_any`(s[, mask_volume]) | Constructs a VolGeom instance from any reasonable type of input.
`to_one_column_array`(v) | Converts input to a Px1 array
`to_three_column_array`(v) | Converts input to a Px3 array
`to_vector`(v) | Converts input to a linear vector

Classes

`VolGeom`(shape, affine[, mask]) | Defines a mapping between sub and linear indices and world coordinate